Bug 1155660 - IndexError: list index out of range
Summary: IndexError: list index out of range
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4e5535e352d706fe50dbc56ec59...
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2014-10-22 14:46 UTC by Jaromír Cápík
Modified: 2016-02-01 02:00 UTC (History)
7 users (show)

Fixed In Version: anaconda-21.48.14-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-15 09:16:10 UTC


Attachments (Terms of Use)
File: anaconda-tb (313.43 KB, text/plain)
2014-10-22 14:46 UTC, Jaromír Cápík
no flags Details
File: anaconda.log (15.89 KB, text/plain)
2014-10-22 14:46 UTC, Jaromír Cápík
no flags Details
File: environ (459 bytes, text/plain)
2014-10-22 14:46 UTC, Jaromír Cápík
no flags Details
File: lsblk_output (1.14 KB, text/plain)
2014-10-22 14:46 UTC, Jaromír Cápík
no flags Details
File: nmcli_dev_list (1.67 KB, text/plain)
2014-10-22 14:46 UTC, Jaromír Cápík
no flags Details
File: os_info (377 bytes, text/plain)
2014-10-22 14:46 UTC, Jaromír Cápík
no flags Details
File: program.log (16.81 KB, text/plain)
2014-10-22 14:46 UTC, Jaromír Cápík
no flags Details
File: storage.log (56.92 KB, text/plain)
2014-10-22 14:47 UTC, Jaromír Cápík
no flags Details
File: syslog (43.10 KB, text/plain)
2014-10-22 14:47 UTC, Jaromír Cápík
no flags Details
File: ifcfg.log (1.92 KB, text/plain)
2014-10-22 14:47 UTC, Jaromír Cápík
no flags Details
File: packaging.log (94.12 KB, text/plain)
2014-10-22 14:47 UTC, Jaromír Cápík
no flags Details

Description Jaromír Cápík 2014-10-22 14:46:43 UTC
Description of problem:
Tried to manually create 100MB sized prepboot partition on a clean 64GB harddrive.

Version-Release number of selected component:
anaconda-21.48.11-1

The following was filed automatically by anaconda:
anaconda 21.48.11-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 539, in _do_refresh
    firstPage = self._accordion.allPages[0]
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1698, in on_add_clicked
    self._do_refresh(mountpointToShow=dev_info["mountpoint"] or dev_info["fstype"])
IndexError: list index out of range

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/ppc/ppc64/vmlinuz ro
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.17.0-301.fc21.ppc64
product:        Fedora"
release:        Cannot get release name.
type:           anaconda
version:        Fedora

Comment 1 Jaromír Cápík 2014-10-22 14:46:51 UTC
Created attachment 949423 [details]
File: anaconda-tb

Comment 2 Jaromír Cápík 2014-10-22 14:46:53 UTC
Created attachment 949424 [details]
File: anaconda.log

Comment 3 Jaromír Cápík 2014-10-22 14:46:54 UTC
Created attachment 949425 [details]
File: environ

Comment 4 Jaromír Cápík 2014-10-22 14:46:55 UTC
Created attachment 949426 [details]
File: lsblk_output

Comment 5 Jaromír Cápík 2014-10-22 14:46:56 UTC
Created attachment 949427 [details]
File: nmcli_dev_list

Comment 6 Jaromír Cápík 2014-10-22 14:46:57 UTC
Created attachment 949428 [details]
File: os_info

Comment 7 Jaromír Cápík 2014-10-22 14:46:59 UTC
Created attachment 949429 [details]
File: program.log

Comment 8 Jaromír Cápík 2014-10-22 14:47:01 UTC
Created attachment 949430 [details]
File: storage.log

Comment 9 Jaromír Cápík 2014-10-22 14:47:03 UTC
Created attachment 949431 [details]
File: syslog

Comment 10 Jaromír Cápík 2014-10-22 14:47:04 UTC
Created attachment 949432 [details]
File: ifcfg.log

Comment 11 Jaromír Cápík 2014-10-22 14:47:06 UTC
Created attachment 949433 [details]
File: packaging.log

Comment 12 Jaromír Cápík 2014-10-22 14:50:10 UTC
NOTE: tested the following image:

Fedora-Server-DVD-ppc64-21_Alpha_RC3.iso

Comment 13 Brian Lane 2014-10-29 00:30:36 UTC
FYI, you should be able to work around this by adding something with a mountpoint first instead of prepboot.

Comment 14 Fedora Update System 2014-11-11 21:02:51 UTC
anaconda-21.48.14-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/anaconda-21.48.14-1.fc21

Comment 15 Fedora Update System 2014-11-13 18:17:04 UTC
Package anaconda-21.48.14-1.fc21, python-blivet-0.61.9-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.14-1.fc21 python-blivet-0.61.9-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14928/python-blivet-0.61.9-1.fc21,anaconda-21.48.14-1.fc21
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-11-15 09:16:10 UTC
anaconda-21.48.14-1.fc21, python-blivet-0.61.9-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.